ssh_channel_struct Struct Reference
Collaboration diagram for ssh_channel_struct:
[legend]

## Data Fields

ssh_session | session
uint32_t | local_channel
uint32_t | local_window
int | local_eof
uint32_t | local_maxpacket
uint32_t | remote_channel
uint32_t | remote_window
int | remote_eof
uint32_t | remote_maxpacket
enum ssh_channel_state_e | state
int | delayed_close
int | flags
ssh_buffer | stdout_buffer
ssh_buffer | stderr_buffer
void * | userarg
int | exit_status
enum ssh_channel_request_state_e | request_state
struct ssh_list * | callbacks
ssh_counter | counter

The documentation for this struct was generated from the following file:

- channels.h